Activity log for bug #1061229

Date Who What changed Old value New value Message
2012-10-03 21:07:20 Alan Bell bug added bug
2012-10-04 12:27:24 Omer Akram unity: importance Undecided Low
2012-10-04 12:27:25 Omer Akram unity: status New Confirmed
2012-10-04 12:27:30 Omer Akram bug task added unity (Ubuntu)
2012-10-04 12:27:35 Omer Akram unity (Ubuntu): importance Undecided Low
2012-10-04 12:27:37 Omer Akram unity (Ubuntu): status New Confirmed
2012-10-04 12:27:47 Omer Akram unity: assignee Brandon Schaefer (brandontschaefer)
2012-10-04 12:27:50 Omer Akram unity: status Confirmed Triaged
2012-10-04 12:27:51 Omer Akram unity (Ubuntu): status Confirmed Triaged
2012-10-04 18:41:47 Omer Akram bug task added ayatana-design
2012-10-04 18:41:54 Omer Akram unity: assignee Brandon Schaefer (brandontschaefer)
2012-10-04 18:41:59 Omer Akram unity: importance Low Undecided
2012-10-04 18:42:01 Omer Akram unity (Ubuntu): importance Low Undecided
2012-10-04 18:42:03 Omer Akram unity: status Triaged New
2012-10-04 18:42:06 Omer Akram unity: status New Incomplete
2012-10-04 18:42:08 Omer Akram unity (Ubuntu): status Triaged Incomplete
2012-10-09 13:48:19 John Lea summary alt backtick backtick takes you back to where you started Alt-Tab - alt+backtick (grave) takes you back to where you started, not to the next window
2012-10-09 13:53:55 John Lea description open up a bunch of terminal windows or any other application, focus on one of them and press alt+`` two backticks (key above tab) the first one will take you to the last window you had focus on, the second one brings you back to the one you were on before pressing anything, rather than the expected second-to-last window, so alt+`` is a null operation. ProblemType: Bug DistroRelease: Ubuntu 12.10 Package: unity 6.6.0+bzr2742stagingubuntu0+786 [origin: LP-PPA-sil2100-prerelease] ProcVersionSignature: Ubuntu 3.5.0-16.25-generic 3.5.4 Uname: Linux 3.5.0-16-generic x86_64 .tmp.unity.support.test.0: ApportVersion: 2.6.1-0ubuntu1 Architecture: amd64 CompizPlugins: No value set for `/apps/compiz-1/general/screen0/options/active_plugins' CompositorRunning: compiz CrashDB: unity Date: Wed Oct 3 22:01:27 2012 DistUpgraded: 2012-06-21 22:42:59,215 DEBUG enabling apt cron job DistroCodename: quantal DistroVariant: ubuntu DkmsStatus: vboxhost, 4.1.22, 3.5.0-14-generic, x86_64: installed vboxhost, 4.1.22, 3.5.0-15-generic, x86_64: installed vboxhost, 4.1.22, 3.5.0-16-generic, x86_64: installed GraphicsCard: Intel Corporation Core Processor Integrated Graphics Controller [8086:0046] (rev 12) (prog-if 00 [VGA controller]) Subsystem: Samsung Electronics Co Ltd Device [144d:c06a] InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Beta amd64 (20120421) MachineType: SAMSUNG ELECTRONICS CO., LTD. R530/R730 ProcEnviron: LANGUAGE=en_GB:en TERM=xterm PATH=(custom, no user) LANG=en_GB.UTF-8 SHELL=/bin/bash ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-16-generic root=UUID=a1919e83-6201-440f-bc38-4482a9274054 ro quiet splash vt.handoff=7 SourcePackage: unity UpgradeStatus: Upgraded to quantal on 2012-06-21 (103 days ago) dmi.bios.date: 03/12/2010 dmi.bios.vendor: Phoenix Technologies Ltd. dmi.bios.version: 03JV.M011.20100312.hkk dmi.board.asset.tag: Tag 12345 dmi.board.name: R530/R730 dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD. dmi.board.version: Not Applicable dmi.chassis.asset.tag: No Asset Tag dmi.chassis.type: 9 dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD. dmi.chassis.version: N/A dmi.modalias: dmi:bvnPhoenixTechnologiesLtd.:bvr03JV.M011.20100312.hkk:bd03/12/2010:svnSAMSUNGELECTRONICSCO.,LTD.:pnR530/R730:pvrNotApplicable:rvnSAMSUNGELECTRONICSCO.,LTD.:rnR530/R730:rvrNotApplicable:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A: dmi.product.name: R530/R730 dmi.product.version: Not Applicable dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD. version.compiz: compiz 1:0.9.8.4-0ubuntu1~test2 version.ia32-libs: ia32-libs N/A version.libdrm2: libdrm2 2.4.39-0ubuntu1 version.libgl1-mesa-dri: libgl1-mesa-dri 9.0~git20120917.7cfd42ce-0ubuntu3 version.libgl1-mesa-dri-experimental: libgl1-mesa-dri-experimental N/A version.libgl1-mesa-glx: libgl1-mesa-glx 9.0~git20120917.7cfd42ce-0ubuntu3 version.xserver-xorg-core: xserver-xorg-core 2:1.13.0-0ubuntu5 version.xserver-xorg-input-evdev: xserver-xorg-input-evdev 1:2.7.3-0ubuntu1 version.xserver-xorg-video-ati: xserver-xorg-video-ati 1:6.99.99~git20120913.8637f772-0ubuntu1 version.xserver-xorg-video-intel: xserver-xorg-video-intel 2:2.20.9-0ubuntu2 version.xserver-xorg-video-nouveau: xserver-xorg-video-nouveau 1:1.0.2-0ubuntu2 open up 3 or more terminal windows or any other application, focus on one of them and press alt+grave (key above tab). The first time you press the 'grave' key the previous window that was focused of the same application will become focused. This is correct. Press the 'grave' key a second time and the focus will switch back to the first window. This is incorrect. The correct behaver is for the 3rd window of the same application in recency of use order to become focused.
2012-10-09 13:54:10 John Lea summary Alt-Tab - alt+backtick (grave) takes you back to where you started, not to the next window Alt-Tab - alt+grave (key above tab) takes you back to where you started, not to the next window
2012-10-09 13:54:14 John Lea ayatana-design: assignee John Lea (johnlea)
2012-10-09 13:54:21 John Lea tags amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp
2012-10-09 13:54:24 John Lea ayatana-design: importance Undecided Critical
2012-10-09 13:54:27 John Lea unity: importance Undecided Critical
2012-10-09 13:54:29 John Lea ayatana-design: status New Triaged
2012-10-09 13:54:32 John Lea unity (Ubuntu): importance Undecided Critical
2012-10-09 13:54:35 John Lea unity: status Incomplete Triaged
2012-10-09 13:54:38 John Lea unity (Ubuntu): status Incomplete Triaged
2012-10-09 13:54:42 John Lea ayatana-design: status Triaged Fix Committed
2012-10-09 20:15:44 Brandon Schaefer unity: assignee Brandon Schaefer (brandontschaefer)
2012-10-09 20:15:48 Brandon Schaefer unity: status Triaged In Progress
2012-10-09 21:00:14 Brandon Schaefer unity: milestone 7.0.0
2012-10-09 21:04:37 Brandon Schaefer branch linked lp:~brandontschaefer/unity/alt-grave-ordering-fix
2012-10-10 13:40:32 John Lea description open up 3 or more terminal windows or any other application, focus on one of them and press alt+grave (key above tab). The first time you press the 'grave' key the previous window that was focused of the same application will become focused. This is correct. Press the 'grave' key a second time and the focus will switch back to the first window. This is incorrect. The correct behaver is for the 3rd window of the same application in recency of use order to become focused. open up 3 or more terminal windows or any other application, focus on one of them and press alt+grave (key above tab). The first time you press the 'grave' key the previous window that was focused of the same application will become focused. This is correct. Press the 'grave' key a second time and the focus will switch back to the first window. This is incorrect. The correct behaver is for the 3rd window of the same application in recency of use order to become focused, basically exactly the same as ALT-TAB, but switching windows rather than applicaitons. To fix this bug we want the following: ----------------- Window order, where 1 is the current focused window: 1,2,3,4,5,6 Pressing Alt+` (e.g. tapping ` once) This action ends with the windows in the following order: 2,1,3,4,5,6 ----------------- Window order, where 1 is the current focused window: 1,2,3,4,5,6 Pressing Alt+`+` (e.g. tapping ` twice) The action ends with the windows in the following order: 3,1,2,4,5,6 -----------------
2012-10-11 09:46:15 Marco Trevisan (Treviño) nominated for series unity/6.0
2012-10-11 09:46:15 Marco Trevisan (Treviño) bug task added unity/6.0
2012-10-11 09:46:24 Marco Trevisan (Treviño) unity: status In Progress Fix Committed
2012-10-11 09:46:27 Marco Trevisan (Treviño) unity/6.0: importance Undecided Critical
2012-10-11 09:46:31 Marco Trevisan (Treviño) unity/6.0: status New Triaged
2012-10-11 09:47:19 Marco Trevisan (Treviño) unity/6.0: assignee Brandon Schaefer (brandontschaefer)
2012-10-11 10:45:45 Omer Akram unity: importance Critical High
2012-10-11 10:45:47 Omer Akram unity/6.0: importance Critical High
2012-10-11 10:45:48 Omer Akram unity (Ubuntu): importance Critical High
2012-10-11 10:49:01 Timo Jyrinki unity/6.0: milestone 6.10.0
2012-10-12 13:00:42 Timo Jyrinki branch linked lp:~timo-jyrinki/unity/alt-grave-ordering-fix-6.0
2012-10-12 13:29:35 Timo Jyrinki unity/6.0: status Triaged In Progress
2012-10-15 16:35:09 Timo Jyrinki unity/6.0: status In Progress Fix Committed
2012-10-16 12:30:18 Timo Jyrinki unity (Ubuntu): status Triaged In Progress
2012-10-16 12:35:09 Launchpad Janitor branch linked lp:~timo-jyrinki/ubuntu/quantal/unity/ubuntu.6100
2012-10-16 14:50:32 Alan Pope 🍺🐧🐱 🦄 nominated for series Ubuntu Quantal
2012-10-17 05:46:28 Łukasz Zemczak bug added subscriber Ubuntu Stable Release Updates Team
2012-10-17 06:07:33 Timo Jyrinki description open up 3 or more terminal windows or any other application, focus on one of them and press alt+grave (key above tab). The first time you press the 'grave' key the previous window that was focused of the same application will become focused. This is correct. Press the 'grave' key a second time and the focus will switch back to the first window. This is incorrect. The correct behaver is for the 3rd window of the same application in recency of use order to become focused, basically exactly the same as ALT-TAB, but switching windows rather than applicaitons. To fix this bug we want the following: ----------------- Window order, where 1 is the current focused window: 1,2,3,4,5,6 Pressing Alt+` (e.g. tapping ` once) This action ends with the windows in the following order: 2,1,3,4,5,6 ----------------- Window order, where 1 is the current focused window: 1,2,3,4,5,6 Pressing Alt+`+` (e.g. tapping ` twice) The action ends with the windows in the following order: 3,1,2,4,5,6 ----------------- = Impact = Clearly visible for alt+grave users, see original description. = Test case = See original description, press alt+grave two times and you should _not_ be back to the original window when you have 3 or more windows open. = Regression potential = Low, test that the functionality otherwise continues to work. ---- open up 3 or more terminal windows or any other application, focus on one of them and press alt+grave (key above tab). The first time you press the 'grave' key the previous window that was focused of the same application will become focused. This is correct. Press the 'grave' key a second time and the focus will switch back to the first window. This is incorrect. The correct behaver is for the 3rd window of the same application in recency of use order to become focused, basically exactly the same as ALT-TAB, but switching windows rather than applicaitons. To fix this bug we want the following: ----------------- Window order, where 1 is the current focused window: 1,2,3,4,5,6 Pressing Alt+` (e.g. tapping ` once) This action ends with the windows in the following order: 2,1,3,4,5,6 ----------------- Window order, where 1 is the current focused window: 1,2,3,4,5,6 Pressing Alt+`+` (e.g. tapping ` twice) The action ends with the windows in the following order: 3,1,2,4,5,6 -----------------
2012-10-17 06:48:41 Didier Roche bug task added unity (Ubuntu Quantal)
2012-10-17 07:42:15 Marco Trevisan (Treviño) unity (Ubuntu Quantal): status In Progress Fix Committed
2012-10-18 14:38:42 Timo Jyrinki unity/6.0: status Fix Committed Fix Released
2012-10-19 18:27:24 Sebastián Mancilla bug added subscriber Sebastián Mancilla
2012-10-26 00:48:48 Chris Halse Rogers bug added subscriber SRU Verification
2012-10-26 00:48:57 Chris Halse Rogers tags amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp verification-needed
2012-10-26 08:26:47 Alan Bell tags amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp verification-needed amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp verification-done
2012-10-26 19:41:50 Edward Donovan bug added subscriber Edward Donovan
2012-10-31 16:02:35 Chris Halse Rogers tags amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp verification-done amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp
2012-10-31 16:02:37 Chris Halse Rogers tags amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp verification-needed
2012-11-05 08:17:38 Timo Jyrinki tags amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp verification-needed amd64 apport-bug compiz-0.9 quantal rc-6.6.0+bzr2742stagingubuntu0+786 running-unity third-party-packages ubuntu udp verification-done
2012-11-07 21:57:17 Launchpad Janitor unity (Ubuntu Quantal): status Fix Committed Fix Released
2012-11-07 21:59:28 Clint Byrum removed subscriber Ubuntu Stable Release Updates Team
2012-11-09 08:46:12 Launchpad Janitor unity (Ubuntu): status Fix Committed Fix Released
2013-02-19 14:26:26 Stephen M. Webb unity: status Fix Committed Fix Released
2013-02-19 15:12:09 Daniel van Vugt unity: status Fix Released Fix Committed
2013-04-03 15:00:13 Stephen M. Webb unity: status Fix Committed Fix Released
2013-06-20 08:53:31 John Lea ayatana-design: status Fix Committed Fix Released